Upgrade to 11.36.0.2 to 11.36.0.4 - Problems were detected - RPM

Status
Not open for further replies.

PPNSteve

Well-Known Member
Mar 13, 2003
413
3
168
Somewhere in Ilex Forest
cPanel Access Level
Root Administrator
Twitter
Code:
Problems were detected with cPanel-provided files which are RPM controlled.
If you did not make these changes intentionally, you can correct them by running:

> /usr/local/cpanel/check_cpanel_rpms --fix

The following RPMs are found to be altered from their original install state:
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/authtest
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/checkpassword-reply
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/convert-tool
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/deliver
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/dict
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/dovecot-auth
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/expire-tool
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/gdbhelper
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/idxview
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/imap
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/imap-login
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/imap-utf7
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/listview
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/logview
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/maildirlock
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/pop3
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/pop3-login
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/rawlog
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/ssl-build-param
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/threadview
dovecot,1.2.17,2.cp1136,/usr/sbin/dovecot
dovecot,1.2.17,2.cp1136,/usr/sbin/dovecotpw
exim,4.80,4.cp1136,/usr/sbin/exim_dbmbuild
exim,4.80,4.cp1136,/usr/sbin/exim_dumpdb
exim,4.80,4.cp1136,/usr/sbin/exim_fixdb
exim,4.80,4.cp1136,/usr/sbin/exim_lock
exim,4.80,4.cp1136,/usr/sbin/exim_tidydb
exim,4.80,4.cp1136,/usr/sbin/sendmail
MySQL55-shared,5.5.29,1.cp1136,/usr/lib64/libmysqlclient.so.18.0.0
MySQL55-test,5.5.29,1.cp1136,/usr/bin/mysql_client_test
MySQL55-server,5.5.29,1.cp1136,/usr/bin/innochecksum
MySQL55-server,5.5.29,1.cp1136,/usr/bin/my_print_defaults
MySQL55-server,5.5.29,1.cp1136,/usr/bin/myisam_ftdump
MySQL55-server,5.5.29,1.cp1136,/usr/bin/myisamchk
MySQL55-server,5.5.29,1.cp1136,/usr/bin/myisamlog
MySQL55-server,5.5.29,1.cp1136,/usr/bin/myisampack
MySQL55-server,5.5.29,1.cp1136,/usr/bin/mysql_plugin
MySQL55-server,5.5.29,1.cp1136,/usr/bin/mysql_tzinfo_to_sql
MySQL55-server,5.5.29,1.cp1136,/usr/bin/mysql_upgrade
MySQL55-server,5.5.29,1.cp1136,/usr/bin/mysqltest
MySQL55-server,5.5.29,1.cp1136,/usr/bin/perror
MySQL55-server,5.5.29,1.cp1136,/usr/bin/replace
MySQL55-server,5.5.29,1.cp1136,/usr/bin/resolve_stack_dump
MySQL55-server,5.5.29,1.cp1136,/usr/bin/resolveip
MySQL55-server,5.5.29,1.cp1136,/usr/sbin/mysqld
MySQL55-server,5.5.29,1.cp1136,/usr/sbin/mysqld-debug
MySQL55-client,5.5.29,1.cp1136,/usr/bin/mysql
MySQL55-client,5.5.29,1.cp1136,/usr/bin/mysql_waitpid
MySQL55-client,5.5.29,1.cp1136,/usr/bin/mysqladmin
MySQL55-client,5.5.29,1.cp1136,/usr/bin/mysqlbinlog
MySQL55-client,5.5.29,1.cp1136,/usr/bin/mysqlcheck
MySQL55-client,5.5.29,1.cp1136,/usr/bin/mysqldump
MySQL55-client,5.5.29,1.cp1136,/usr/bin/mysqlimport
MySQL55-client,5.5.29,1.cp1136,/usr/bin/mysqlshow
MySQL55-client,5.5.29,1.cp1136,/usr/bin/mysqlslap
cpanel-userperl,1.0,1.cp1136,/usr/bin/perlml
not sure what is going on here.. Any ideas?

It did complete the update to .4 however.



CENTOS 6.3 x86_64 standard
WHM 11.36.0 (build 4)
 

Zepplin

Well-Known Member
Oct 23, 2006
93
1
158
Blue Mountains, Australia
cPanel Access Level
Root Administrator
Had a similar message as well but found check_cpanel_rpms in scripts

[email protected] [~]# /usr/local/cpanel/scripts/check_cpanel_rpms --fix
[20130202.165120] No missing RPMs found!
[20130202.165120] All Installed RPMs are needed
[20130202.165124] No altered rpms found!

So far all good Steve.

George
 

PPNSteve

Well-Known Member
Mar 13, 2003
413
3
168
Somewhere in Ilex Forest
cPanel Access Level
Root Administrator
Twitter
I tried the check_cpanel_rpms script and it seemed to work with the exception of this:
Code:
[20130202.005119]   Checking for and running RPM::Versions 'post' hooks for any RPMs just installed
warn [check_cpanel_rpms] program "/scripts/postmysqlinstall" is not executable
warn [check_cpanel_rpms] program "/scripts/postmysqlup" is not executable
warn [check_cpanel_rpms] program "/scripts/posteximup" is not executable
warn [check_cpanel_rpms] program "/scripts/postdovecotup" is not executable
[20130202.005119]   All required 'post' hooks have been run
 

cPanelKenneth

cPanel Development
Staff member
Apr 7, 2006
4,607
76
308
cPanel Access Level
Root Administrator
I tried the check_cpanel_rpms script and it seemed to work with the exception of this:
Code:
[20130202.005119]   Checking for and running RPM::Versions 'post' hooks for any RPMs just installed
warn [check_cpanel_rpms] program "/scripts/postmysqlinstall" is not executable
warn [check_cpanel_rpms] program "/scripts/postmysqlup" is not executable
warn [check_cpanel_rpms] program "/scripts/posteximup" is not executable
warn [check_cpanel_rpms] program "/scripts/postdovecotup" is not executable
[20130202.005119]   All required 'post' hooks have been run
The warns are noise from the standard hooks system. We have a case on preventing those messages from appearing in the output. For now you can ignore them.

Were you able to get your RPM problems resolved?
 

PPNSteve

Well-Known Member
Mar 13, 2003
413
3
168
Somewhere in Ilex Forest
cPanel Access Level
Root Administrator
Twitter
Yes the check_cpanel_rpms script did fix it..

Just a heads up, the .11 update generated this error:

Code:
Problems were detected with cPanel-provided files which are RPM controlled.
If you did not make these changes intentionally, you can correct them by running:

> /usr/local/cpanel/scripts/check_cpanel_rpms --fix

The following RPMs are found to be altered from their original install state:
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/imap-login
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/pop3-login
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/ssl-build-param
 

cPanelKenneth

cPanel Development
Staff member
Apr 7, 2006
4,607
76
308
cPanel Access Level
Root Administrator
Yes the check_cpanel_rpms script did fix it..

Just a heads up, the .11 update generated this error:

Code:
Problems were detected with cPanel-provided files which are RPM controlled.
If you did not make these changes intentionally, you can correct them by running:

> /usr/local/cpanel/scripts/check_cpanel_rpms --fix

The following RPMs are found to be altered from their original install state:
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/imap-login
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/pop3-login
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/ssl-build-param
One of the checks performed by check_cpanel_rpms is to run rpm -qV against each of the cPanel provided RPMs. If there is any output from the rpm command, then that particular package is being modified post install.

If you run rpm -qV dovecot you should see the exact way those files differ from what the RPM provides. At this point you, or we if you opened a support ticket, need to discover what on your system is changing those files post-install.
 

PPNSteve

Well-Known Member
Mar 13, 2003
413
3
168
Somewhere in Ilex Forest
cPanel Access Level
Root Administrator
Twitter
I'm thinking its the latest update as another one of my servers just updated and I got this message back:
Code:
Problems were detected with cPanel-provided files which are RPM controlled.
If you did not make these changes intentionally, you can correct them by running:

> /usr/local/cpanel/scripts/check_cpanel_rpms --fix

The following RPMs are found to be altered from their original install state:
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/imap-login
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/pop3-login
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/ssl-build-param
nsd,3.2.14,1.cp1136,/usr/sbin/nsd
nsd,3.2.14,1.cp1136,/usr/sbin/nsd-checkconf
nsd,3.2.14,1.cp1136,/usr/sbin/nsd-notify
nsd,3.2.14,1.cp1136,/usr/sbin/nsd-patch
nsd,3.2.14,1.cp1136,/usr/sbin/nsd-xfer
nsd,3.2.14,1.cp1136,/usr/sbin/zonec
Nothing done on my end yet, just the auto upcp
 

frenziedfox

Active Member
Mar 9, 2010
27
3
53
I am getting this too (WHM 11.36.0 (build 14))

I got an email saying:

Problems were detected with cPanel-provided files which are RPM controlled.
If you did not make these changes intentionally, you can correct them by running:

> /usr/local/cpanel/scripts/check_cpanel_rpms --fix

The following RPMs are found to be altered from their original install state:
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/imap-login
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/pop3-login
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/ssl-build-param
When I run /usr/local/cpanel/scripts/check_cpanel_rpms --fix as suggested it runs and returns to the command prompt with no output at all.
 

elderban

Member
Aug 26, 2004
24
0
151
cPanel Access Level
Root Administrator
Ran into the same error myself, ran the fix, and it came up with a few errors.

But this morning I got the error again, and ran the fix again, but nothing happened.
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,913
2,201
363
We are having reports from many of our customers that they are receiving this error too.
Could you verify the specific error message you are receiving, and the versions of cPanel you are updating to/from?

Thank you.
 

Tunio

Registered
Dec 23, 2013
2
0
1
cPanel Access Level
Root Administrator
I got blow email from [email protected]:
Problems were detected with cPanel-provided files which are RPM controlled.
> If you did not make these changes intentionally, you can correct them by running:
>
> > /usr/local/cpanel/scripts/check_cpanel_rpms --fix
>
> The following RPMs are found to be altered from their original install state:
> cpanel-php53-PEAR,1.9.4,3.cp1136,/opt/cpanel/php/53/.registry/pear.reg

you tell me what is it means and where can run command: /usr/local/cpanel/scripts/check_cpanel_rpms --fix
i count not find command prompt
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,913
2,201
363
I got blow email from [email protected]:
Problems were detected with cPanel-provided files which are RPM controlled.
> If you did not make these changes intentionally, you can correct them by running:
>
> > /usr/local/cpanel/scripts/check_cpanel_rpms --fix
>
> The following RPMs are found to be altered from their original install state:
> cpanel-php53-PEAR,1.9.4,3.cp1136,/opt/cpanel/php/53/.registry/pear.reg

you tell me what is it means and where can run command: /usr/local/cpanel/scripts/check_cpanel_rpms --fix
i count not find command prompt
That issue is addressed here:

[Case 84937] Altered RPMs found - cPanel Forums

I am closing this particular thread because the recent responses are not related to the originally reported issue.

Thank you.
 
Status
Not open for further replies.